#include <SPI.h>
#include <TFT.h>


#define cs   10
#define dc   9
#define rst  8

TFT TFTscreen = TFT(cs, dc, rst);


int bouton=7;
int etatPrecedent=0;
int etatPresent;

int boutonVert=6;
int etatBoutonVertPrecedent=1;
int etatBoutonVertPresent;
int numeroTexte=0;

int boutonBlanc=5;
int etatBoutonBlancPrecedent=1;
int etatBoutonBlancPresent;
int numeroCouleurTexte=0;

int boutonBleu=3;
int etatBoutonBleuPrecedent=1;
int etatBoutonBleuPresent;
int numeroCouleurFond=0;



void fonctionCouleurFond(int numeroCouleurFond)
{
 if (numeroCouleurFond==0){
  TFTscreen.background(0, 0, 0);
 }
 if (numeroCouleurFond==1){
  TFTscreen.background(100, 100, 100);
 }
 if (numeroCouleurFond==2){
  TFTscreen.background(190, 190, 190);
 }
if (numeroCouleurFond==3){
  TFTscreen.background(255, 255, 255);
 }
}






void fonctionCouleurTexte(int numeroCouleurTexte)
{
 if (numeroCouleurTexte==0){
  TFTscreen.stroke(255, 255, 255);
 }
 if (numeroCouleurTexte==1){
  TFTscreen.stroke(230, 67, 120);
 }
 if (numeroCouleurTexte==2){
  TFTscreen.stroke(176, 255, 89);
 }
 if (numeroCouleurTexte==3){
  TFTscreen.stroke(160, 143, 212);
 }
 if (numeroCouleurTexte==4){
  TFTscreen.stroke(175, 57, 183);
 }
 if (numeroCouleurTexte==5){
  TFTscreen.stroke(65, 112, 157);
 }
 
}
 







void fonctionTexte(int numeroTexte)
{
 if (numeroTexte==0)
  {
    TFTscreen.setTextSize(3);
    TFTscreen.text("Branchez", 0, 10);
    TFTscreen.text("moi SVP", 0, 40);
    TFTscreen.text("pitie!!", 0, 70);
  }

  else if (numeroTexte==1)
  {
    TFTscreen.setTextSize(3);
    TFTscreen.text("Donne", 0, 10);
    TFTscreen.text("moi du", 0, 40);
     TFTscreen.text("jus STP !!", 0, 70);
  }
  
  else if (numeroTexte==2)
  {
     TFTscreen.setTextSize(3);
    TFTscreen.text("Branche", 0, 10);
    TFTscreen.text("moi j'ai", 0, 40);
    TFTscreen.text("faim!!", 0, 70);

  }

   else if (numeroTexte==3)
  {
     TFTscreen.setTextSize(3);
    TFTscreen.text("Branche", 0, 10);
    TFTscreen.text("moi sinon", 0, 40);
    TFTscreen.text("ca va", 0, 70);
    TFTscreen.text("chauffer!!", 0, 100);

  }

   else if (numeroTexte==4)
  {
     TFTscreen.setTextSize(3);
    TFTscreen.text("Branche", 0, 20);
    TFTscreen.text("moi mon", 0, 50);
    TFTscreen.text("Amour :)", 0, 80);

  }

   else if (numeroTexte==5)
  {
     TFTscreen.setTextSize(3);
    TFTscreen.text("BRENCH", 20, 10);
    TFTscreen.text("MOAAAAAA", 10, 40);
    TFTscreen.text("!!!!", 30, 70);

  }
  

}






void setup() {
  Serial.begin(9600);
  pinMode (bouton,INPUT_PULLUP);
  pinMode (boutonVert, INPUT_PULLUP);
  pinMode (boutonBlanc, INPUT_PULLUP);
  pinMode (boutonBleu, INPUT_PULLUP);
  
  TFTscreen.begin();
  TFTscreen.background(0, 0, 0);
  TFTscreen.stroke(255, 255, 255);

  
  }

  

void loop() {
 
  etatBoutonVertPresent=digitalRead(boutonVert);
  if ((etatBoutonVertPrecedent==1) && (etatBoutonVertPresent==0)){
    numeroTexte++;
    if (numeroTexte==6){
    numeroTexte=0;
    }
  }
   etatBoutonVertPrecedent=etatBoutonVertPresent;
  //Serial.println(numeroTexte);

  
   
   etatBoutonBlancPresent=digitalRead(boutonBlanc);
  if ((etatBoutonBlancPrecedent==1) && (etatBoutonBlancPresent==0)){
    numeroCouleurTexte++;
    if (numeroCouleurTexte==6){
    numeroCouleurTexte=0;
    }
  }
  etatBoutonBlancPrecedent=etatBoutonBlancPresent;
 // Serial.println(numeroCouleurTexte);



etatBoutonBleuPresent=digitalRead(boutonBleu);
  if ((etatBoutonBleuPrecedent==1) && (etatBoutonBleuPresent==0)){
    numeroCouleurFond++;
    if (numeroCouleurFond==4){
    numeroCouleurFond=0;
    }
  }
  etatBoutonBleuPrecedent=etatBoutonBleuPresent;
  //Serial.println(numeroCouleurFond);




  etatPresent=digitalRead(bouton);
  //Serial.println(etatPresent);
  if (etatPrecedent!=etatPresent)
  {
    //TFTscreen.background(0, 0, 0);
    fonctionCouleurFond(numeroCouleurFond);
    if (etatPresent==1)
    { 
      fonctionTexte(numeroTexte);
    }
  
    if (etatPresent==0)
    { 
      TFTscreen.setTextSize(4);
      TFTscreen.text("Merci ", 20, 20);
      TFTscreen.text(":-)", 40, 80);
      delay(3000);
      TFTscreen.background(0, 0, 0);
    
    }
  etatPrecedent=etatPresent;
  }




 if (etatBoutonBleuPresent==0 && etatPresent==1)
  {  
    //TFTscreen.stroke(0, 0, 0);
    fonctionCouleurFond(numeroCouleurFond);
  }

   if (etatBoutonBlancPresent==0 && etatPresent==1)
  {  
    //TFTscreen.stroke(0, 0, 0);
    //fonctionCouleurFond(numeroCouleurFond);
    fonctionCouleurTexte(numeroCouleurTexte);
  }

  if (etatBoutonVertPresent==0 && etatPresent==1)
  {  
     //TFTscreen.background(0, 0, 0);
     //TFTscreen.stroke(0, 0, 0);
     fonctionCouleurFond(numeroCouleurFond);
     fonctionTexte(numeroTexte);
  }



 
  
  
           }
